# LogDoctor: CraplogWorker Class Reference

Loading...
Searching...
No Matches
CraplogWorker Class Reference
Inheritance diagram for CraplogWorker:

## Private Member Functions

void | joinLogLines ()
| Reads the selected files and append the resulting lines to the list. More...
void | parseLogLines ()
| Parses the lines in the list and stores their data in the data collection. More...
void | storeLogLines ()
| Handles the process of storing data in the database. More...
const bool | storeData (QSqlDatabase &db)
| Stores the data collection in the logs Collection database. More...

## Private Attributes

const unsigned | APACHE_ID = 11
| ID of the Apache2 Web Server.
const unsigned | NGINX_ID = 12
| ID of the Nginx Web Server.
const unsigned | IIS_ID = 13
| ID of the IIS Web Server.

## Member Function Documentation

## joinLogLines()

void CraplogWorker::joinLogLines | ( |  | ) |

private

Reads the selected files and append the resulting lines to the list.

Exceptions

  GenericException |

## parseLogLines()

void CraplogWorker::parseLogLines | ( |  | ) |

private

Parses the lines in the list and stores their data in the data collection.

Exceptions

  LogParserException |

## storeData()

const bool CraplogWorker::storeData | ( | QSqlDatabase & | db | ) |

private

Stores the data collection in the logs Collection database.

Parameters

  db | A database instance, already initizlized

Returns
  Whether the operation has been successful or not

Exceptions

  WebServerException |

## storeLogLines()

void CraplogWorker::storeLogLines | ( |  | ) |

private

Handles the process of storing data in the database.

See also
  storeData()

The documentation for this class was generated from the following files:

- logdoctor/modules/craplog/modules/worker.h
- logdoctor/modules/craplog/modules/worker.cpp